- [HTTP request](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.proposalLineItems/batchUpdate.md.txt#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.proposalLineItems/batchUpdate.md.txt#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.proposalLineItems/batchUpdate.md.txt#body.request_body)
  - [JSON representation](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.proposalLineItems/batchUpdate.md.txt#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.proposalLineItems/batchUpdate.md.txt#body.response_body)
  - [JSON representation](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.proposalLineItems/batchUpdate.md.txt#body.BatchUpdateProposalLineItemsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.proposalLineItems/batchUpdate.md.txt#body.aspect)
- [UpdateProposalLineItemRequest](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.proposalLineItems/batchUpdate.md.txt#UpdateProposalLineItemRequest)
  - [JSON representation](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.proposalLineItems/batchUpdate.md.txt#UpdateProposalLineItemRequest.SCHEMA_REPRESENTATION)
- [Try it!](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.proposalLineItems/batchUpdate.md.txt#try-it)

Batch updates `ProposalLineItem` objects.

### HTTP request

`POST https://admanager.googleapis.com/v1/{parent}/proposalLineItems:batchUpdate`

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent resource where `ProposalLineItems` will be updated. Format: `networks/{networkCode}` The parent field in the UpdateProposalLineItemRequest must match this field. |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "requests": [ { object (`UpdateProposalLineItemRequest`) } ] } ``` |

| Fields ||
|---|---|
| `requests[]` | ``object (`UpdateProposalLineItemRequest`)`` Required. The `ProposalLineItem` objects to update. A maximum of 100 objects can be updated in a batch. |

### Response body

Response object for `proposalLineItems.batchUpdate` method.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "proposalLineItems": [ { object (`ProposalLineItem`) } ] } ``` |

| Fields ||
|---|---|
| `proposalLineItems[]` | ``object (`ProposalLineItem`)`` The `ProposalLineItem` objects updated. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/admanager`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).

## UpdateProposalLineItemRequest

Request object for `proposalLineItems.patch` method.

| JSON representation |
|---|
| ``` { "proposalLineItem": { object (`ProposalLineItem`) }, "updateMask": string } ``` |

| Fields ||
|---|---|
| `proposalLineItem` | ``object (`ProposalLineItem`)`` Required. The `ProposalLineItem` to update. The `ProposalLineItem`'s `name` is used to identify the `ProposalLineItem` to update. |
| `updateMask` | ``string (`FieldMask` format)`` Optional. The list of fields to update. This is a comma-separated list of fully qualified names of fields. Example: `"user.displayName,photo"`. |